Page MenuHomePhabricator

labtestmetal2001.codfw.wmnet: rename to clouddb2001-dev and reimage to stretch in codfw1dev
Closed, ResolvedPublic

Description

The labtestmetal2001.codfw.wmnet server will be reimaged/renamed and repurposed as clouddb2001-dev.codfw.wmnet, using Debian stretch in codfw1dev.

  • set labtestmetal2001 as spare system OR simply stop puppet agent
  • merge puppet patch to rename and get the new debian installer working
  • merge dns patch to add the new FQDNs (partial, the old mgmt names still remains)
  • run the wmf-auto-reimage-host script
  • merge DNS cleanup patch
  • netbox update https://netbox.wikimedia.org/dcim/devices/1071/
  • get the physical relabeling done, switch port labels, etc
  • done

Details

Related Gerrit Patches:

Event Timeline

aborrero created this task.Apr 4 2019, 4:54 PM
Restricted Application added a project: Operations. · View Herald TranscriptApr 4 2019, 4:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
aborrero claimed this task.Apr 5 2019, 8:30 AM
aborrero triaged this task as High priority.
aborrero updated the task description. (Show Details)
aborrero updated the task description. (Show Details)
aborrero renamed this task from labtestmetal2001.codfw.wmnet: rename to cloudweb2001-dev and reimage to stretch in codfw1dev to labtestmetal2001.codfw.wmnet: rename to clouddb2001-dev and reimage to stretch in codfw1dev.Apr 8 2019, 4:44 PM
aborrero updated the task description. (Show Details)

Change 502274 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] labtestmetal2001: repurpose as clouddb2001-dev.codfw.wmnet

https://gerrit.wikimedia.org/r/502274

Change 502283 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] labtestmetal2001: rename to clouddb2001-dev.codfw.wmnet

https://gerrit.wikimedia.org/r/502283

Change 502283 merged by Arturo Borrero Gonzalez:
[operations/dns@master] labtestmetal2001: rename to clouddb2001-dev.codfw.wmnet

https://gerrit.wikimedia.org/r/502283

Change 502274 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] labtestmetal2001: repurpose as clouddb2001-dev.codfw.wmnet

https://gerrit.wikimedia.org/r/502274

aborrero updated the task description. (Show Details)Apr 8 2019, 5:33 PM

Change 502285 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] clouddb2001-dev: use a non-cloudvirt-specific partman recipe

https://gerrit.wikimedia.org/r/502285

Change 502285 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] clouddb2001-dev: use a non-cloudvirt-specific partman recipe

https://gerrit.wikimedia.org/r/502285

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

labtestmetal2001.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201904081749_aborrero_107877_labtestmetal2001_codfw_wmnet.log.

Mentioned in SAL (#wikimedia-operations) [2019-04-08T17:50:18Z] <arturo> T220129 renaming labtestmetal2001.codfw.wmnet to clouddb2001-dev.codfw.wmnet

Change 502295 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] clouddb2001-dev: cleanup FQDNs

https://gerrit.wikimedia.org/r/502295

Completed auto-reimage of hosts:

['clouddb2001-dev.codfw.wmnet']

and were ALL successful.

aborrero updated the task description. (Show Details)Apr 8 2019, 6:29 PM

Change 502452 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] clouddb2001-dev: fix typo in site.pp

https://gerrit.wikimedia.org/r/502452

Change 502295 merged by Arturo Borrero Gonzalez:
[operations/dns@master] clouddb2001-dev: cleanup FQDNs

https://gerrit.wikimedia.org/r/502295

Change 502452 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] clouddb2001-dev: fix typo in site.pp

https://gerrit.wikimedia.org/r/502452

aborrero updated the task description. (Show Details)Apr 9 2019, 9:21 AM
aborrero reassigned this task from aborrero to Papaul.Apr 9 2019, 9:26 AM
aborrero lowered the priority of this task from High to Medium.
aborrero updated the task description. (Show Details)
aborrero added a subscriber: Papaul.

Please @Papaul :

  • refresh physical labels for this server
  • refresh switch ports labels for this server
  • drop eth1 config for this server in the switch (should have the virt-specific trunk, which we no longer require)

Change 502464 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] clouddb2001-dev: add mapped IPv6

https://gerrit.wikimedia.org/r/502464

Change 502464 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] clouddb2001-dev: add mapped IPv6

https://gerrit.wikimedia.org/r/502464

Change 502466 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] clouddb2001-dev: add IPv6

https://gerrit.wikimedia.org/r/502466

Change 502466 merged by Arturo Borrero Gonzalez:
[operations/dns@master] clouddb2001-dev: add IPv6

https://gerrit.wikimedia.org/r/502466

Papaul added a comment.Apr 9 2019, 3:37 PM
papaul@asw-b-codfw# show | compare 
[edit interfaces interface-range cloud-instance2-ports]
-    member ge-8/0/3;
[edit interfaces interface-range disabled]
     member ge-5/0/31 { ... }
+    member ge-8/0/3;
[edit interfaces ge-8/0/0]
-   description labtestmetal2001-eth0;
+   description clouddb2001-dev;
[edit interfaces ge-8/0/3]
-   description labtestmetal2001-eth1;
[edit interfaces]
-   ge-8/0/3 {
-       enable;
-   }
Papaul reassigned this task from Papaul to aborrero.Apr 9 2019, 3:37 PM
Papaul updated the task description. (Show Details)
aborrero closed this task as Resolved.Apr 9 2019, 3:52 PM
aborrero updated the task description. (Show Details)